List automations
GET
Lists your automations in this Workspace: what each does, when it runs, whether it's on, and its next run.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
room_id?stringOnly this Room's.
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$status?stringValue in
"active""paused""needs_attention"SMB-Workspace-Id*stringWorkspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidSuccessful authorized response.
application/json- response
data*array<>request_id*stringcurl -X GET 'https://example.com/v1/automations' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "data": [ { "id": "string", "name": "string", "action": { "property1": null, "property2": null }, "trigger": { "property1": null, "property2": null }, "where": [ { "property1": null, "property2": null } ], "room_id": "string", "business_id": "string", "notify": "string", "status": "active", "attention_reason": "failing", "next_run_at": "string", "last_run_at": "string", "latest_run_at": "string", "last_run_status": "queued", "runs_as": { "type": "person", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "name": "string" }, "created_at": "string", "updated_at": "string" } ], "request_id": "string"}